Marketplace
List your compute prices
List the compute rates your organization has published. Only your own rates are returned, never another organization’s. Filters combine, and paging is by limit and an opaque cursor carried in the page of the previous response.
GET
/
v1
/
marketplace
/
compute
List your compute prices
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/compute \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/compute"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"architecture": "<string>",
"availability_zone": "<string>",
"cost_per_hour": 123,
"cpu_cores": 123,
"cpu_cores_cost_per_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"gpu_cost_per_hour": 123,
"gpu_count": 123,
"gpu_type": "<string>",
"id": "<string>",
"instance_type": "<string>",
"native_cost_per_hour": 123,
"operating_system": "<string>",
"period_billing_hours": 123,
"provider": "<string>",
"ram_gb": 123,
"ram_gb_cost_per_hour": 123,
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"updated_at": "<string>",
"usage_type": "<string>"
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum prices to return (default 500)
Cursor from the previous page
Filter by service
Filter by region
Filter by instance type
Filter by usage type
Was this page helpful?
⌘I
List your compute prices
